Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dmt.jdm.algorithm.abn
Interface OraABNSettingsFactory

All Superinterfaces:
  javax.datamining.Factory

public interface OraABNSettingsFactory
extends javax.datamining.Factory

A factory class that creates instance of `OraABNSettings`.

See Also:
  `OraABNSettings`

Method Summary
`OraABNSettings` | `create()` Constructs an instance of `AdaptiveBayesNetworkSettings` initialized to system default values.
`OraABNSettings` | `create(OraABNModelType modelType, int maxNumberOfPredictors, int maxBuildMinutes, int maxNBPredtctors)` Constructs an instance of `AdaptiveBayesNetworkSettings` with user specfied values.

Method Detail

### create

    public OraABNSettings create()
                          throws javax.datamining.JDMException

  Constructs an instance of `AdaptiveBayesNetworkSettings` initialized to system default values.
  Returns:
    AdaptiveBayesNetworkSettings
  Throws:
    `javax.datamining.JDMException`

### create

    public OraABNSettings create(OraABNModelType modelType,
                                 int maxNumberOfPredictors,
                                 int maxBuildMinutes,
                                 int maxNBPredtctors)
                          throws javax.datamining.JDMException

  Constructs an instance of `AdaptiveBayesNetworkSettings` with user specfied values.
  Parameters:
    `modelType` -
    `maxNumberOfPredictors` -
    `maxBuildMinutes` -
  Returns:
  Throws:
    `javax.datamining.JDMException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All rights reserved.